#==========================================================================#
# ■ B.Forum Ver.1.01                                                      #
# ■ プラグインSDK(_analysis)                                              #
# □ Encode = EUC                                                          #
# □ Hiroaki,Sakuma (sakuma@beetas.org)                                    #
#                                                                          #
# このアプリケーションはオープンソースウェアです.                          #
# 無料で使用することができます.                                            #
# なお, 詳細な使用条件/最新情報については下記サイトをご覧下さい.           #
# http://www.beetas.org/                                                   #
#                                                                          #
# ------------------------------------------------------------------------ #
# Copyright 2001-2002 Hiroaki,Sakuma All Rights Reserved.                  #
# Copyright 2001-2002 BEETAS.org All Rights Reserved.                      #
#                                                                          #
#==========================================================================#
package _analysis;

use Exporter;
use strict;

@ISA = qw(Exporter);
@EXPORT = qw(version status require_min require_max main);

my (%in %SET);

sub version {
	# バージョン(要変更)
	$version = "Plugin SDK(_analysis) 1.01(0055-0058)";
	return $version;
}

sub status {
	return 1;
}

sub require_min {
	# 最低動作バージョン(要変更)
	$require_min = "0055";
	return $require_min;
}

sub require_max {
	# 最高動作バージョン(要変更)
	$require_max = "0058";
	return $require_max;
}

sub main ($$$@) {

	# 変更の必要なし
	my $head = $_[0];
	my $foot = $_[1];
	%in = %{$_[2]};
	splice (@_,0,3);
	%SET = %Bforum::SET;



	# ここから変更

	my ($tmp1,$tmp2,$tmp3,$tmp4,$tmp5,$tmp6);

	($tmp1,$tmp2) = @_;
	($tmp2,$tmp3) = split(/\n\n/,$tmp2,2);
	foreach (split(/\n/,$tmp2)) {
		if ($_ =~ /^\s*(.+?):\s+(.*?)\s*$/o) {
			$tmp4 = lc $1;
			$Bforum::$tmp1{$tmp4} = $2;
		}
	}

	if ($Bforum::$tmp1{'type'} ne 'text/html') {
		$tmp6 = &Bforum::_br($tmp3);
	} else {
		$tmp6 = $tmp3;
	}

	if (!$Bforum::$tmp1{'title'}) { $Bforum::$tmp1{'title'} = "(無題)"; }

	$Bforum::$tmp1{'full_title'} = $Bforum::$tmp1{'title'};
	if ($SET{'TITLE_LENGTH'}) {
		$Bforum::$tmp1{'title'} = &Bforum::_cut($Bforum::$tmp1{'full_title'},$SET{'TITLE_LENGTH'},'...');
	}

	$Bforum::$tmp1{'message'} = $tmp6 || "";
	$Bforum::$tmp1{'message'} =~ s/\\/\\\\/g;

	foreach (keys %$tmp1) {
		$Bforum::$tmp1{$_} =~ s/{/\\{/go;
	}


	undef @_;
	return ($Bforum::$tmp1{'no'},$Bforum::$tmp1{'title'},$Bforum::$tmp1{'author'},$Bforum::$tmp1{'email'},$Bforum::$tmp1{'date'},$Bforum::$tmp1{'message'});

}

sub about {
	close (NULL);
	&Bforum::about((caller)[2] . '@' . &version);
}

1;

